# avenc_ac3_fixed

libav ac3_fixed encoder

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioEncoder
                        ╰──avenc_ac3_fixed

## Implemented interfaces

    GstPreset

## Factory details

Authors: – Wim Taymans , Ronald Bultje

Classification: – `Codec/Encoder/Audio`

Rank – secondary

Plugin – libav

Package – GStreamer FFMPEG Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
           channels: 1
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 2
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 3
       channel-mask: 0x0000000000000103
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 3
       channel-mask: 0x0000000000000007
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 4
       channel-mask: 0x0000000000000c03
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 4
       channel-mask: 0x0000000000000033
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 4
       channel-mask: 0x0000000000000107
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 5
       channel-mask: 0x0000000000000c07
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 5
       channel-mask: 0x0000000000000037
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 2
       channel-mask: 0x000000000000000c
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 3
       channel-mask: 0x000000000000000b
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 4
       channel-mask: 0x000000000000010b
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 4
       channel-mask: 0x000000000000000f
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 5
       channel-mask: 0x0000000000000c0b
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 5
       channel-mask: 0x000000000000003b
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 5
       channel-mask: 0x000000000000010f
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 6
       channel-mask: 0x0000000000000c0f
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved
    audio/x-raw:
           channels: 6
       channel-mask: 0x000000000000003f
               rate: { (int)48000, (int)44100, (int)32000 }
             format: S32LE
             layout: interleaved

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-ac3:
           channels: [ 1, 6 ]
               rate: { (int)48000, (int)44100, (int)32000 }

Presence – always

Direction – src

Object type – GstPad

## Properties

### ac

    “ac” gint

set number of audio channels (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 0

### ad-conv-type

    “ad-conv-type” Fixed-point-ac-3-encoder-ad-conv-type *

A/D Converter Type (Private codec option)

Flags : Read / Write

Default value : unknown (-1)

### ar

    “ar” gint

set audio sampling rate (in Hz) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 0

### audio-service-type

    “audio-service-type” avcodeccontext-audio-service-type *

audio service type (Generic codec option, might have no effect)

Flags : Read / Write

Default value : ma (0)

### bitrate

    “bitrate” gint

set bitrate (in bits/s) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 0

### bufsize

    “bufsize” gint

set ratecontrol buffer size (in bits) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 0

### center-mixlev

    “center-mixlev” gfloat

Center Mix Level (Private codec option)

Flags : Read / Write

Default value : 0.594604

### channel-coupling

    “channel-coupling” Fixed-point-ac-3-encoder-channel-coupling *

Channel Coupling (Private codec option)

Flags : Read / Write

Default value : auto (-1)

### channel-layout

    “channel-layout” guint64

(null) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 0

### compression-level

    “compression-level” gint

(null) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : -1

### copyright

    “copyright” gint

Copyright Bit (Private codec option)

Flags : Read / Write

Default value : -1

### cpl-start-band

    “cpl-start-band” Fixed-point-ac-3-encoder-cpl-start-band *

Coupling Start Band (Private codec option)

Flags : Read / Write

Default value : auto (-1)

### cutoff

    “cutoff” gint

set cutoff bandwidth (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 0

### debug

    “debug” avcodeccontext-debug *

print specific debug info (Generic codec option, might have no effect)

Flags : Read / Write

Default value : (none)

### dheadphone-mode

    “dheadphone-mode” Fixed-point-ac-3-encoder-dheadphone-mode *

Dolby Headphone Mode (Private codec option)

Flags : Read / Write

Default value : unknown (-1)

### dialnorm

    “dialnorm” gint

Dialogue Level (dB) (Private codec option)

Flags : Read / Write

Default value : -31

### dmix-mode

    “dmix-mode” Fixed-point-ac-3-encoder-dmix-mode *

Preferred Stereo Downmix Mode (Private codec option)

Flags : Read / Write

Default value : unknown (-1)

### dsur-mode

    “dsur-mode” Fixed-point-ac-3-encoder-dsur-mode *

Dolby Surround Mode (Private codec option)

Flags : Read / Write

Default value : unknown (-1)

### dsurex-mode

    “dsurex-mode” Fixed-point-ac-3-encoder-dsurex-mode *

Dolby Surround EX Mode (Private codec option)

Flags : Read / Write

Default value : unknown (-1)

### dump-separator

    “dump-separator” gchararray

set information dump field separator (Generic codec option, might have no effect)

Flags : Read / Write

Default value : NULL

### err-detect

    “err-detect” avcodeccontext-err-detect *

set error detection flags (Generic codec option, might have no effect)

Flags : Read / Write

Default value : (none)

### export-side-data

    “export-side-data” avcodeccontext-export-side-data *

Export metadata as side data (Generic codec option, might have no effect)

Flags : Read / Write

Default value : (none)

### flags

    “flags” avcodeccontext-flags *

(null) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : (none)

### flags2

    “flags2” avcodeccontext-flags2 *

(null) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : (none)

### frame-size

    “frame-size” gint

(null) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 0

### global-quality

    “global-quality” gint

(null) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 0

### loro-cmixlev

    “loro-cmixlev” gfloat

Lo/Ro Center Mix Level (Private codec option)

Flags : Read / Write

Default value : -1

### loro-surmixlev

    “loro-surmixlev” gfloat

Lo/Ro Surround Mix Level (Private codec option)

Flags : Read / Write

Default value : -1

### ltrt-cmixlev

    “ltrt-cmixlev” gfloat

Lt/Rt Center Mix Level (Private codec option)

Flags : Read / Write

Default value : -1

### ltrt-surmixlev

    “ltrt-surmixlev” gfloat

Lt/Rt Surround Mix Level (Private codec option)

Flags : Read / Write

Default value : -1

### max-pixels

    “max-pixels” gint64

Maximum number of pixels (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 2147483647

### max-prediction-order

    “max-prediction-order” gint

(null) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : -1

### max-samples

    “max-samples” gint64

Maximum number of samples (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 2147483647

### maxrate

    “maxrate” gint64

maximum bitrate (in bits/s). Used for VBV together with bufsize. (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 0

### min-prediction-order

    “min-prediction-order” gint

(null) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : -1

### minrate

    “minrate” gint64

minimum bitrate (in bits/s). Most useful in setting up a CBR encode. It is of little use otherwise. (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 0

### mixing-level

    “mixing-level” gint

Mixing Level (Private codec option)

Flags : Read / Write

Default value : -1

### original

    “original” gint

Original Bit Stream (Private codec option)

Flags : Read / Write

Default value : -1

### per-frame-metadata

    “per-frame-metadata” gboolean

Allow Changing Metadata Per-Frame (Private codec option)

Flags : Read / Write

Default value : false

### room-type

    “room-type” Fixed-point-ac-3-encoder-room-type *

Room Type (Private codec option)

Flags : Read / Write

Default value : unknown (-1)

### side-data-only-packets

    “side-data-only-packets” gboolean

(null) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : true

### stereo-rematrixing

    “stereo-rematrixing” gboolean

Stereo Rematrixing (Private codec option)

Flags : Read / Write

Default value : true

### strict

    “strict” avcodeccontext-strict *

how strictly to follow the standards (Generic codec option, might have no effect)

Flags : Read / Write

Default value : normal (0)

### surround-mixlev

    “surround-mixlev” gfloat

Surround Mix Level (Private codec option)

Flags : Read / Write

Default value : 0.5

### thread-type

    “thread-type” avcodeccontext-thread-type *

select multithreading type (Generic codec option, might have no effect)

Flags : Read / Write

Default value : slice+frame

### threads

    “threads” avcodeccontext-threads *

set the number of threads (Generic codec option, might have no effect)

Flags : Read / Write

Default value : unknown (1)

### ticks-per-frame

    “ticks-per-frame” gint

(null) (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 1

### trellis

    “trellis” gint

rate-distortion optimal quantization (Generic codec option, might have no effect)

Flags : Read / Write

Default value : 0

## Named constants

### Fixed-point-ac-3-encoder-ad-conv-type

#### Members

`unknown` (-1) – Unspecified
`standard` (0) – Standard (default)
`hdcd` (1) – HDCD

### Fixed-point-ac-3-encoder-channel-coupling

#### Members

`auto` (-1) – Selected by the Encoder

### Fixed-point-ac-3-encoder-cpl-start-band

#### Members

`auto` (-1) – Selected by the Encoder

### Fixed-point-ac-3-encoder-dheadphone-mode

#### Members

`unknown` (-1) – Unspecified
`notindicated` (0) – Not Indicated (default)
`off` (1) – Not Dolby Headphone Encoded
`on` (2) – Dolby Headphone Encoded

### Fixed-point-ac-3-encoder-dmix-mode

#### Members

`unknown` (-1) – Unspecified
`notindicated` (0) – Not Indicated (default)
`ltrt` (1) – Lt/Rt Downmix Preferred
`loro` (2) – Lo/Ro Downmix Preferred
`dplii` (3) – Dolby Pro Logic II Downmix Preferred

### Fixed-point-ac-3-encoder-dsur-mode

#### Members

`unknown` (-1) – Unspecified
`notindicated` (0) – Not Indicated (default)
`off` (1) – Not Dolby Surround Encoded
`on` (2) – Dolby Surround Encoded

### Fixed-point-ac-3-encoder-dsurex-mode

#### Members

`unknown` (-1) – Unspecified
`notindicated` (0) – Not Indicated (default)
`off` (1) – Not Dolby Surround EX Encoded
`on` (2) – Dolby Surround EX Encoded
`dpliiz` (3) – Dolby Pro Logic IIz-encoded

### Fixed-point-ac-3-encoder-room-type

#### Members

`unknown` (-1) – Unspecified
`notindicated` (0) – Not Indicated (default)
`large` (1) – Large Room
`small` (2) – Small Room

The results of the search are